package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(course_schedule_modify_log):
 */
public class CourseScheduleModifyLog {

	/**  */
	private Long id;
	
	/**  */
	private Long courseScheduleId;
	
	/**  */
	private Integer operatorId;
	
	/**  */
	private String previousCourseSchedule;
	
	/**  */
	private String currentCourseSchedule;

	/**  */
	private java.util.Date createTime;

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setCourseScheduleId(Long courseScheduleId){
		this.courseScheduleId = courseScheduleId;
	}
	
	public Long getCourseScheduleId(){
		return this.courseScheduleId;
	}
			
	public void setOperatorId(Integer operatorId){
		this.operatorId = operatorId;
	}
	
	public Integer getOperatorId(){
		return this.operatorId;
	}
			
	public void setPreviousCourseSchedule(String previousCourseSchedule){
		this.previousCourseSchedule = previousCourseSchedule;
	}
	
	public String getPreviousCourseSchedule(){
		return this.previousCourseSchedule;
	}
			
	public void setCurrentCourseSchedule(String currentCourseSchedule){
		this.currentCourseSchedule = currentCourseSchedule;
	}
	
	public String getCurrentCourseSchedule(){
		return this.currentCourseSchedule;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
